

const logFunction = (...messages: any[]) => {
  messages.forEach((msg) => console.log(msg));
};

const errorLogFunction = (...messages: any[]) => {
  messages.forEach((msg) => console.error(msg));
};

const debugAny = (
  something: any,
  transformer: (...args: any[]) => any = (...args: any[]): any => {
    return args[0];
  }
) => transformer(something);


export const environment = {
  production: false,
  apiBaseUrl: 'http://localhost:8080/api/v1',
  adminApiUrl: 'http://localhost:8080/api/v1/project',
  log: logFunction,
  errLog: errorLogFunction,
  debugAny  
};